summaryrefslogtreecommitdiffhomepage
path: root/runsc/version_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'runsc/version_test.sh')
-rwxr-xr-xrunsc/version_test.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/runsc/version_test.sh b/runsc/version_test.sh
index 280815a46..cc0ca3f05 100755
--- a/runsc/version_test.sh
+++ b/runsc/version_test.sh
@@ -22,9 +22,15 @@ readonly version=$($runsc --version)
# Version should should not match VERSION, which is the default and which will
# also appear if something is wrong with workspace_status.sh script.
if [[ $version =~ "VERSION" ]]; then
- echo "Got bad version $version"
+ echo "FAIL: Got bad version $version"
exit 1
fi
-echo "Got OK version $version"
+# Version should contain at least one number.
+if [[ ! $version =~ [0-9] ]]; then
+ echo "FAIL: Got bad version $version"
+ exit 1
+fi
+
+echo "PASS: Got OK version $version"
exit 0